com.genesyslab.wfm7.API.service.config761

## Class CfgGlobalSettings

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgGlobalSettings

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgGlobalSettings
      extends java.lang.Object
      implements java.io.Serializable

  Contains Global Settings
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` Timestamp value
    `private int` | `wmCalAuditLevel` Calendar Audit Level `ECalAuditLevel`
    `private boolean` | `wmEmailSynchEnabled` Indicates whether e-mail synchronization is enabled/disabled
    `private boolean` | `wmPreferencesEnabled` true/false
    `private int` | `wmSchAuditLevel` Schedule Audit Level `ESchAuditLevel`
    `private boolean` | `wmTimeoffPlannerEnabled` true/false
    `private int` | `wmWeekStartDay` Week Start Day (1 = Mon, 2 = Tue, ..., 7 = Sun)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgGlobalSettings()`
    `CfgGlobalSettings(int wmWeekStartDay, boolean wmEmailSynchEnabled, int wmSchAuditLevel, int wmCalAuditLevel, boolean wmTimeoffPlannerEnabled, boolean wmPreferencesEnabled, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgGlobalSettings.
    `int` | `getWmCalAuditLevel()` Gets the wmCalAuditLevel value for this CfgGlobalSettings.
    `int` | `getWmSchAuditLevel()` Gets the wmSchAuditLevel value for this CfgGlobalSettings.
    `int` | `getWmWeekStartDay()` Gets the wmWeekStartDay value for this CfgGlobalSettings.
    `boolean` | `isWmEmailSynchEnabled()` Gets the wmEmailSynchEnabled value for this CfgGlobalSettings.
    `boolean` | `isWmPreferencesEnabled()` Gets the wmPreferencesEnabled value for this CfgGlobalSettings.
    `boolean` | `isWmTimeoffPlannerEnabled()` Gets the wmTimeoffPlannerEnabled value for this CfgGlobalSettings.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgGlobalSettings.
    `void` | `setWmCalAuditLevel(int wmCalAuditLevel)` Sets the wmCalAuditLevel value for this CfgGlobalSettings.
    `void` | `setWmEmailSynchEnabled(boolean wmEmailSynchEnabled)` Sets the wmEmailSynchEnabled value for this CfgGlobalSettings.
    `void` | `setWmPreferencesEnabled(boolean wmPreferencesEnabled)` Sets the wmPreferencesEnabled value for this CfgGlobalSettings.
    `void` | `setWmSchAuditLevel(int wmSchAuditLevel)` Sets the wmSchAuditLevel value for this CfgGlobalSettings.
    `void` | `setWmTimeoffPlannerEnabled(boolean wmTimeoffPlannerEnabled)` Sets the wmTimeoffPlannerEnabled value for this CfgGlobalSettings.
    `void` | `setWmWeekStartDay(int wmWeekStartDay)` Sets the wmWeekStartDay value for this CfgGlobalSettings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmWeekStartDay

          private int wmWeekStartDay

      Week Start Day (1 = Mon, 2 = Tue, ..., 7 = Sun)

    - #### wmEmailSynchEnabled

          private boolean wmEmailSynchEnabled

      Indicates whether e-mail synchronization is enabled/disabled

    - #### wmSchAuditLevel

          private int wmSchAuditLevel

      Schedule Audit Level `ESchAuditLevel`

    - #### wmCalAuditLevel

          private int wmCalAuditLevel

      Calendar Audit Level `ECalAuditLevel`

    - #### wmTimeoffPlannerEnabled

          private boolean wmTimeoffPlannerEnabled

      true/false

    - #### wmPreferencesEnabled

          private boolean wmPreferencesEnabled

      true/false

    - #### timestamp

          private long timestamp

      Timestamp value

  - ### Constructor Detail

    - #### CfgGlobalSettings

          public CfgGlobalSettings()

    - #### CfgGlobalSettings

          public CfgGlobalSettings(int wmWeekStartDay,
                           boolean wmEmailSynchEnabled,
                           int wmSchAuditLevel,
                           int wmCalAuditLevel,
                           boolean wmTimeoffPlannerEnabled,
                           boolean wmPreferencesEnabled,
                           long timestamp)

  - ### Method Detail

    - #### getWmWeekStartDay

          public int getWmWeekStartDay()

      Gets the wmWeekStartDay value for this CfgGlobalSettings.
      Returns:
        wmWeekStartDay

    - #### setWmWeekStartDay

          public void setWmWeekStartDay(int wmWeekStartDay)

      Sets the wmWeekStartDay value for this CfgGlobalSettings.
      Parameters:
        `wmWeekStartDay` -

    - #### isWmEmailSynchEnabled

          public boolean isWmEmailSynchEnabled()

      Gets the wmEmailSynchEnabled value for this CfgGlobalSettings.
      Returns:
        wmEmailSynchEnabled

    - #### setWmEmailSynchEnabled

          public void setWmEmailSynchEnabled(boolean wmEmailSynchEnabled)

      Sets the wmEmailSynchEnabled value for this CfgGlobalSettings.
      Parameters:
        `wmEmailSynchEnabled` -

    - #### getWmSchAuditLevel

          public int getWmSchAuditLevel()

      Gets the wmSchAuditLevel value for this CfgGlobalSettings.
      Returns:
        wmSchAuditLevel

    - #### setWmSchAuditLevel

          public void setWmSchAuditLevel(int wmSchAuditLevel)

      Sets the wmSchAuditLevel value for this CfgGlobalSettings.
      Parameters:
        `wmSchAuditLevel` -

    - #### getWmCalAuditLevel

          public int getWmCalAuditLevel()

      Gets the wmCalAuditLevel value for this CfgGlobalSettings.
      Returns:
        wmCalAuditLevel

    - #### setWmCalAuditLevel

          public void setWmCalAuditLevel(int wmCalAuditLevel)

      Sets the wmCalAuditLevel value for this CfgGlobalSettings.
      Parameters:
        `wmCalAuditLevel` -

    - #### isWmTimeoffPlannerEnabled

          public boolean isWmTimeoffPlannerEnabled()

      Gets the wmTimeoffPlannerEnabled value for this CfgGlobalSettings.
      Returns:
        wmTimeoffPlannerEnabled

    - #### setWmTimeoffPlannerEnabled

          public void setWmTimeoffPlannerEnabled(boolean wmTimeoffPlannerEnabled)

      Sets the wmTimeoffPlannerEnabled value for this CfgGlobalSettings.
      Parameters:
        `wmTimeoffPlannerEnabled` -

    - #### isWmPreferencesEnabled

          public boolean isWmPreferencesEnabled()

      Gets the wmPreferencesEnabled value for this CfgGlobalSettings.
      Returns:
        wmPreferencesEnabled

    - #### setWmPreferencesEnabled

          public void setWmPreferencesEnabled(boolean wmPreferencesEnabled)

      Sets the wmPreferencesEnabled value for this CfgGlobalSettings.
      Parameters:
        `wmPreferencesEnabled` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgGlobalSettings.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgGlobalSettings.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.